Bug 29747 - Cataloguing upload plugin broken
Summary: Cataloguing upload plugin broken
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Keywords: regression
Depends on: 28177
Blocks:
  Show dependency treegraph
 
Reported: 2021-12-21 13:20 UTC by Nick Clemens
Modified: 2022-01-21 16:27 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.02


Attachments
Bug 29747: Delete columns that don't exist from settings (1.56 KB, patch)
2021-12-21 13:29 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 29747: Delete columns that don't exist from settings (1.62 KB, patch)
2021-12-21 14:09 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 29747: Delete columns that don't exist from settings (1.72 KB, patch)
2021-12-22 15:37 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-12-21 13:20:44 UTC
When 856$u has plugin 'upload.pl' attached, the choosing of the record fails because of a dataTables error.

When fetching the column settings, we need to account for the fact that the plugin has 2 fewer columns
Comment 1 Nick Clemens 2021-12-21 13:29:16 UTC
Created attachment 128833 [details] [review]
Bug 29747: Delete columns that don't exist from settings

This patch simply checks if we are callinmg from the plugin, and removes
two columns from the settings if so

To test:
 1 - In Admin->Marc bibliographic framework got to Marc Structure for default framework
 2 - Search for 856$u
 3 - Set Plugin to upload.pl
 4 - Edit a record in the default framework
 5 - Under 856u, click 'Upload'
 6 - Uplaod a file and then click 'Choose'
 7 - nothing happens
 8 - View consiole (f12) and see error
 9 - Apply patch
10 - Reload the page
11 - No more error
12 - Click choose
13 - Record link is populated
Comment 2 Andrew Fuerste-Henry 2021-12-21 14:09:26 UTC
Created attachment 128839 [details] [review]
Bug 29747: Delete columns that don't exist from settings

This patch simply checks if we are callinmg from the plugin, and removes
two columns from the settings if so

To test:
 1 - In Admin->Marc bibliographic framework got to Marc Structure for default framework
 2 - Search for 856$u
 3 - Set Plugin to upload.pl
 4 - Edit a record in the default framework
 5 - Under 856u, click 'Upload'
 6 - Uplaod a file and then click 'Choose'
 7 - nothing happens
 8 - View consiole (f12) and see error
 9 - Apply patch
10 - Reload the page
11 - No more error
12 - Click choose
13 - Record link is populated

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Marcel de Rooy 2021-12-22 15:37:31 UTC
Created attachment 128862 [details] [review]
Bug 29747: Delete columns that don't exist from settings

This patch simply checks if we are callinmg from the plugin, and removes
two columns from the settings if so

To test:
 1 - In Admin->Marc bibliographic framework got to Marc Structure for default framework
 2 - Search for 856$u
 3 - Set Plugin to upload.pl
 4 - Edit a record in the default framework
 5 - Under 856u, click 'Upload'
 6 - Uplaod a file and then click 'Choose'
 7 - nothing happens
 8 - View consiole (f12) and see error
 9 - Apply patch
10 - Reload the page
11 - No more error
12 - Click choose
13 - Record link is populated

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Fridolin Somers 2022-01-10 07:05:08 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Kyle M Hall 2022-01-14 13:07:54 UTC
Pushed to 21.11.x for 21.11.02
Comment 6 Andrew Fuerste-Henry 2022-01-21 16:27:31 UTC
Missing dependency, not backported to 21.05